Bug 1023677 - gedit with plugin 'multiedit' crashes when loading file with non-printable character on specific position
gedit with plugin 'multiedit' crashes when loading file with non-printable ch...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gedit (Show other bugs)
20
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
abrt_hash:14323a7871a67e6f02ce7ea5890...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-26 17:57 EDT by Christian Stadelmann
Modified: 2015-05-04 15:44 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-05-04 15:44:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (35.30 KB, text/plain)
2013-10-26 17:57 EDT, Christian Stadelmann
no flags Details
File: cgroup (159 bytes, text/plain)
2013-10-26 17:57 EDT, Christian Stadelmann
no flags Details
File: core_backtrace (18.93 KB, text/plain)
2013-10-26 17:57 EDT, Christian Stadelmann
no flags Details
File: dso_list (21.75 KB, text/plain)
2013-10-26 17:57 EDT, Christian Stadelmann
no flags Details
File: environ (2.50 KB, text/plain)
2013-10-26 17:57 EDT, Christian Stadelmann
no flags Details
File: limits (1.29 KB, text/plain)
2013-10-26 17:57 EDT, Christian Stadelmann
no flags Details
File: maps (91.89 KB, text/plain)
2013-10-26 17:57 EDT, Christian Stadelmann
no flags Details
File: open_fds (1.58 KB, text/plain)
2013-10-26 17:57 EDT, Christian Stadelmann
no flags Details
File: proc_pid_status (938 bytes, text/plain)
2013-10-26 17:57 EDT, Christian Stadelmann
no flags Details
File: var_log_messages (545 bytes, text/plain)
2013-10-26 17:57 EDT, Christian Stadelmann
no flags Details
This file makes gedit crash with plugin multiedit enabled, Byte 0x1FFF is >0x7F (8.01 KB, text/plain)
2013-10-27 13:07 EDT, Christian Stadelmann
no flags Details
This file doesn't crash gedit with plugin multiedit enabled, byte 0x1FFF has value < 0x80 (8.01 KB, text/plain)
2013-10-27 13:08 EDT, Christian Stadelmann
no flags Details

  None (edit)
Description Christian Stadelmann 2013-10-26 17:57:09 EDT
Version-Release number of selected component:
gedit-3.10.1-1.fc20

Additional info:
reporter:       libreport-2.1.8
backtrace_rating: 4
cmdline:        gedit
crash_function: _g_log_abort
executable:     /usr/bin/gedit
kernel:         3.11.6-301.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #2 _g_log_abort at gmessages.c:255
 #5 _pygi_argument_to_object at pygi-argument.c:1581
 #6 pygi_signal_closure_marshal at pygi-signal-closure.c:130
 #11 gtk_text_buffer_emit_insert at gtktextbuffer.c:922
 #12 gtk_text_buffer_insert at gtktextbuffer.c:953
 #13 validate_and_insert at gedit-document-output-stream.c:633
 #14 gedit_document_output_stream_write at gedit-document-output-stream.c:974
 #15 g_output_stream_write at goutputstream.c:211
 #16 write_file_chunk at gedit-document-loader.c:503
 #17 async_read_cb at gedit-document-loader.c:610
Comment 1 Christian Stadelmann 2013-10-26 17:57:13 EDT
Created attachment 816453 [details]
File: backtrace
Comment 2 Christian Stadelmann 2013-10-26 17:57:16 EDT
Created attachment 816454 [details]
File: cgroup
Comment 3 Christian Stadelmann 2013-10-26 17:57:24 EDT
Created attachment 816455 [details]
File: core_backtrace
Comment 4 Christian Stadelmann 2013-10-26 17:57:27 EDT
Created attachment 816456 [details]
File: dso_list
Comment 5 Christian Stadelmann 2013-10-26 17:57:30 EDT
Created attachment 816457 [details]
File: environ
Comment 6 Christian Stadelmann 2013-10-26 17:57:33 EDT
Created attachment 816458 [details]
File: limits
Comment 7 Christian Stadelmann 2013-10-26 17:57:36 EDT
Created attachment 816459 [details]
File: maps
Comment 8 Christian Stadelmann 2013-10-26 17:57:39 EDT
Created attachment 816460 [details]
File: open_fds
Comment 9 Christian Stadelmann 2013-10-26 17:57:42 EDT
Created attachment 816461 [details]
File: proc_pid_status
Comment 10 Christian Stadelmann 2013-10-26 17:57:45 EDT
Created attachment 816462 [details]
File: var_log_messages
Comment 11 Christian Stadelmann 2013-10-27 13:06:17 EDT
This bug is only present if "multiedit" plugin is enabled.

I tried to hunt down the bug, it seems like gedit crashes when having "multiedit" plugin enabled and opening a file with byte ((k*0x2000)-1) having a value > 0x7F. This is the case for 0x1FFF, 0x3FFF, 0x15FFF, …
Setting this byte to a value smaller than 0x80 makes gedit load the file without problems. Seems to me like some buffer problem: 0x80 can't be displayed as one character, gets displayed a 2 characters overlapping the buffer boundaries. I attached 2 test cases.
Comment 12 Christian Stadelmann 2013-10-27 13:07:33 EDT
Created attachment 816557 [details]
This file makes gedit crash with plugin multiedit enabled, Byte 0x1FFF is >0x7F
Comment 13 Christian Stadelmann 2013-10-27 13:08:51 EDT
Created attachment 816561 [details]
This file doesn't crash gedit with plugin multiedit enabled, byte 0x1FFF has value < 0x80
Comment 14 Christian Stadelmann 2015-05-04 15:44:22 EDT
This bug is no more present on gedit 3.16.

Note You need to log in before you can comment on or make changes to this bug.